Get a withdrawal
curl --request GET \
--url https://api.kemycard.com/v1/wallets/withdrawals/{code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/wallets/withdrawals/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/wallets/withdrawals/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockchain": "solana",
"currency": "USDC",
"amount": 100,
"commission": 1.5,
"network_fee": 0.5,
"total_fee": 2,
"net_amount": 98,
"to_address": "<string>",
"status": "processing",
"tx_id": "<string>",
"requested_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Wallets
Get a Withdrawal
GET
/
wallets
/
withdrawals
/
{code}
Get a withdrawal
Authorizations
API key (sk_test_... or sk_live_...)
Path Parameters
Code of the withdrawal: the code of a withdrawal in GET /wallets/withdrawals, also sent in the wallet.withdrawal_completed webhook.